'use strict';

// Define constants.
/** @override @constant {Array<Object<String,Object>>} Configurations for each enemy type */
Enemy.prototype.TYPES = [
	{
		spriteSheet: 'images/game/enemy1.png',
		spriteWidth: 225,
		spriteHeight: 200,
		bottomOffset: 20,
		hitboxX: 0,
		hitboxY: 0,
		hitboxWidth: 142,
		hitboxHeight: 196,
		walkAnimLength: 10,
		deathAnimLength: 10,
		frameRateMultiplier: 1,
		maxHealth: 1,
		movement: ['linear', 'sinusoidal']
	}, {
		spriteSheet: 'images/game/enemy2.png',
		spriteWidth: 225,
		spriteHeight: 200,
		bottomOffset: 0,
		hitboxX: 0,
		hitboxY: 0,
		hitboxWidth: 142,
		hitboxHeight: 196,
		walkAnimLength: 10,
		deathAnimLength: 10,
		frameRateMultiplier: 1,
		maxHealth: 2,
		movement: ['linear']
	}
];
