'use strict';

// Define constants.
/** @override @constant {String} The path from the game root to the sound effect for launching the projectile */
ArmLauncher.prototype.LAUNCH_SOUND = 'audio/whoosh.mp3';
/** @override @constant {Number} The x-offset of the arm from the launcher body's x-position, in pixels */
ArmLauncher.prototype.ARM_X = 69;
/** @override @constant {Number} The y-offset of the arm from the launcher body's y-position, in pixels */
ArmLauncher.prototype.ARM_Y = 28;
/** @override @constant {Number} The x-position of the arm's rotation anchor point, from 0 to 1 */
ArmLauncher.prototype.ARM_ROTATION_X = 0.666;
/** @override @constant {Number} The y-position of the arm's rotation anchor point, from 0 to 1 */
ArmLauncher.prototype.ARM_ROTATION_Y = 0.373;
/** @override @constant {Number} The starting rotation of the arm, in radians */
ArmLauncher.prototype.ARM_START_ROTATION = -0.055 * Math.TAU;
/** @override @constant {Number} The end rotation of the arm when it launches, in radians */
ArmLauncher.prototype.ARM_LAUNCH_ROTATION = 0.15 * Math.TAU;
