'use strict';

// Define constants.
/** @override @constant {Array<Object<String,Object>>} Configurations for each enemy type */
Enemy.prototype.TYPES = [
	{
		spriteSheet: 'images/game/enemy.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: -36,
		hitboxX: 8,
		hitboxY: 66,
		hitboxWidth: 120,
		hitboxHeight: 62,
		walkAnimLength: 59,
		deathAnimLength: 48,
		frameRateMultiplier: 1,
		maxHealth: 2,
		movement: ['linear'],
		lowResSpriteSheet: 'images/game/enemy_low_res.png',
		lowResWalkAnimLength: 16,
		lowResDeathAnimLength: 13,
		lowResFrameRateMultiplier: 0.25
	}
];
