'use strict';

// Define constants.
/** @override @constant {String} The path from the game root to the sound effect for the projectile hitting a target or the ground */
Projectile.prototype.HIT_SOUND = 'audio/cat_launch.mp3';
/** @override @constant {String} The width of the projectile, in pixels */
Projectile.prototype.FRAME_WIDTH = 90;
/** @override @constant {String} The height of the projectile, in pixels */
Projectile.prototype.FRAME_HEIGHT = 90;
/** @override @constant {String} The number of projectile variants in the sprite sheet */
Projectile.prototype.VARIANTS = 2;
