'use strict';

// Define constants.
/** @override @constant {String} The path from the game root to the sound effect for the projectile hitting a target or the ground */
Projectile.prototype.HIT_SOUND = 'audio/splat.mp3';
/** @override @constant {String} The number of projectile variants in the sprite sheet */
Projectile.prototype.VARIANTS = 2;
/** @override @constant {Number} How far through the launch animation to launch the projectile, from 0 to 1 */
Projectile.prototype.LAUNCH_DELAY = 0.4;
/** @override @constant {Boolean} Whether the projectile is hidden while in the launcher */
Projectile.prototype.HIDDEN_UNTIL_LAUNCH = true;
