'use strict';

// Define constants.
/** @constant {String} The path from the game root to the sound effect for the projectile hitting a target or the ground */
Projectile.prototype.HIT_SOUND = 'audio/splat.mp3';
/** @constant {String} The path from the game root to the sprite for the projectile */
Projectile.prototype.SPRITE = 'images/game/projectile.png';
/** @constant {String} The width of the projectile, in pixels */
Projectile.prototype.FRAME_WIDTH = 60;
/** @constant {String} The height of the projectile, in pixels */
Projectile.prototype.FRAME_HEIGHT = 60;
/** @constant {String} The number of projectile variants in the sprite sheet */
Projectile.prototype.VARIANTS = 4;
/** @constant {Number} How far through the launch animation to launch the projectile, from 0 to 1 */
